## org.jfree.report.event
Class ReportProgressEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.report.event.ReportProgressEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ReportProgressEvent

extends java.util.EventObject

Creation-Date: 15.11.2006, 21:02:25

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary
`static int` `COMPUTING_LAYOUT`
`static int` `GENERATING_CONTENT`
`static int` `PAGINATING`
`static int` `PRECOMPUTING_VALUES`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ReportProgressEvent(java.lang.Object source, int activity, int row, int page)`

Method Summary
`int` `getActivity()`
`int` `getPage()`
`int` `getRow()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPUTING_LAYOUT

    public static final int COMPUTING_LAYOUT

See Also:
  Constant Field Values

### PRECOMPUTING_VALUES

    public static final int PRECOMPUTING_VALUES

See Also:
  Constant Field Values

### PAGINATING

    public static final int PAGINATING

See Also:
  Constant Field Values

### GENERATING_CONTENT

    public static final int GENERATING_CONTENT

See Also:
  Constant Field Values

Constructor Detail

### ReportProgressEvent

    public ReportProgressEvent(java.lang.Object source,
                               int activity,
                               int row,
                               int page)

Method Detail

### getRow

    public int getRow()

### getActivity

    public int getActivity()

### getPage

    public int getPage()